import request from '@/utils/request'

// 查询质量月报S3004列表
export function listS3004(query) {
  return request({
    url: '/production/s3004/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S3004详细
export function getS3004(id) {
  return request({
    url: '/production/s3004/' + id,
    method: 'get'
  })
}

// 新增质量月报S3004
export function addS3004(data) {
  return request({
    url: '/production/s3004',
    method: 'post',
    data: data
  })
}

// 修改质量月报S3004
export function updateS3004(data) {
  return request({
    url: '/production/s3004',
    method: 'put',
    data: data
  })
}

// 删除质量月报S3004
export function delS3004(id) {
  return request({
    url: '/production/s3004/' + id,
    method: 'delete'
  })
}

// 导出质量月报S3004
export function exportS3004(query) {
  return request({
    url: '/production/s3004/export',
    method: 'get',
    params: query
  })
}